﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<Redeem>

@(
 Html.Grid(Model).Named("AllRedeemHistory").Columns(columns =>
 {
     columns.Add(x => x.MemberID)
         .Titled("Member")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => RenderMemberName(x.MemberID)).Filterable(true);

     columns.Add(x => x.TransactionCode)
         .Titled("TransactionCode")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.TransactionCode).Filterable(true);

     columns.Add(x => x.TransactionDate)
         .Titled("TransactionDate")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.TransactionDate.ToString("dd-MM-yyyy HH:mm")).Filterable(true);

     columns.Add(x => x.Point)
         .Titled("Point")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Point.ToString()).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
         .RenderValueAs(x => (x.IsVoid) ? "Void":"");

 }).Filterable()
.Sortable()
.WithPaging(5)
)

@helper RenderMemberName(int MemberID)
{
    Member predictedMember = Member.GetById(MemberID);
    if (predictedMember != null)
    {
        <span>@predictedMember.Name</span>
    }
}